﻿#region

using System;
using System.Windows.Forms;

#endregion

namespace LoadReview
{
    public partial class FormError : Form
    {
        #region Delegates

        public delegate void AbandonarHandler();

        #endregion

        //executado quando o usuário cancela a marcacação do erro.

        public FormError()
        {
            Abandonar += abandonar;
            ErrorId = 0;
            InitializeComponent();
        }

        public int ErrorId { get; private set; }
        public event AbandonarHandler Abandonar;


        private void abandonar()
        {
        }


        private void rdbMontagem_CheckedChanged(object sender, EventArgs e)
        {
            ErrorId = 1;
        }

        private void rdbFalta_CheckedChanged(object sender, EventArgs e)
        {
            ErrorId = 2;
        }

        private void rdbSobra_CheckedChanged(object sender, EventArgs e)
        {
            ErrorId = 3;
        }

        private void rdbInversao_CheckedChanged(object sender, EventArgs e)
        {
            ErrorId = 4;
        }

        private void btnAbandonar_Click(object sender, EventArgs e)
        {
            ErrorId = 0;
            Abandonar();
            Close();
        }

        private void btnConfirmar_Click(object sender, EventArgs e)
        {
            if (ErrorId != 0)
                Close();
        }

        private void label1_ParentChanged(object sender, EventArgs e)
        {
        }
    }
}