﻿#region

using System;
using System.IO;
using System.Xml.Serialization;

#endregion

namespace LoadReview.util
{
    internal class XmlFormater
    {

        private StringWriter result;
        private XmlSerializer xmlTrace;
        private StringReader reader;
        public XmlFormater(Type tipo)
        {
         result = new StringWriter();
         xmlTrace = new XmlSerializer(tipo);
         
        }







        /// <summary>
        /// MÉTODO RESPONSÁVEL PARA SERIALIZAR OS OBJETOS
        /// </summary>
        /// <returns>Retorna uma string contendo o objeto serializado. (formato XML)</returns>
        public  string Serializar(Object objeto)
        {

            try
            {
                xmlTrace.Serialize(result, objeto);
            }
            catch (Exception ex)
            {
                xmlTrace.Serialize(result, ex);
            }
            finally
            {
                result.Close();
            }

            return result.ToString();
        }


        public  Object DesSerializar(String str)
        {

             reader = new StringReader(str);
            
            try
            {
                return xmlTrace.Deserialize(reader);

                
            }
            catch (Exception ex)
            {
                Console.Out.WriteLine(ex.Message);
                ;
                {
                }
                return null;
            }
        }
    }
}