﻿#region

using System;
using LoadReviewLibrary.Persistencia.Pojo.Generics;

#endregion

namespace LoadReviewLibrary.Persistencia.Pojo
{
    [Serializable]
    public class Product : IProduct
    {
        private String descriptionLong;
        private Boolean verify;

        public Product()
        {
            Verify = false;
        }

        public Boolean Verify
        {
            get { return verify; }
            set
            {
                if (value == null)
                    verify = false;
                else
                    verify = value;
            }
        }

        #region IProduct Members

        public String Id { get; set; }

        public String Picking { get; set; }

        public String DescriptionShort { get; set; }

        public ErrorType ErrorType { get; set; }

        public virtual int Quantity { get; set; }

        public String DescriptionLong
        {
            get { return descriptionLong; }

            set { descriptionLong = value.ToLower(); }
        }

        public Boolean CheckQuantity(String qtde)
        {
            if (Quantity == (int.Parse(qtde)))
                return true;

            return false;
        }

        #endregion
    }
}