﻿#region

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Web.Services;
using LoadReviewLibrary.Persistencia.Dao.Generics;
using LoadReviewLibrary.Persistencia.Pojo;
using LoadReviewSync.persistencia.dao;
using LoadReviewSync.util;

#endregion

namespace LoadReviewSync
{
    /// <summary>
    /// Summary description for PDAtoRD
    /// </summary>
    [WebService(Namespace = "http://www.intelpar.com")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
        // [System.Web.Script.Services.ScriptService]
    public class PDAtoRD : WebService
    {
        [WebMethod]
        public Boolean sendPallet(String xml)


        {
            Pallet pallet = new Pallet();
            XmlFormater xmlFormater = new XmlFormater(pallet.GetType());
            pallet = (Pallet)xmlFormater.DesSerializar(xml);

            return true;
        }


        [WebMethod]
        public void Teste()
        {
            IPalletDao palletDao = DaoFactory.CreatePalletDao();

            Company company = new Company();
            company.Id = "1";

            Location location = new Location("ARA", "ARA");

            CompanyLocation cp = new CompanyLocation();
            cp.Company = company;
            cp.Location = location;


            List<Pallet> pallet = palletDao.PalletList(cp, false);
        }
    }
}