﻿#region

using System;
using System.IO;
using System.Xml.Serialization;

#endregion

namespace LoadReviewSync.util
{
    internal class XmlFormater
    {
        private StringWriter result = new StringWriter();
        private XmlSerializer xmlTrace;


        public XmlFormater(Type tipo)
        {
            xmlTrace = new XmlSerializer(tipo);
        }


        /// <summary>
        /// MÉTODO RESPONSÁVEL PARA SERIALIZAR OS OBJETOS
        /// </summary>
        /// <returns>Retorna uma string contendo o objeto serializado. (formato XML)</returns>
        public string Serializar(Object objeto)
        {
            try
            {
                xmlTrace.Serialize(result, objeto);
            }
            catch (Exception ex)
            {
                xmlTrace.Serialize(result, ex);
            }
            finally
            {
                result.Close();
            }

            return result.ToString();
        }


        public  Object DesSerializar(String str)
        {
            StringReader reader = new StringReader(str);


            try
            {
                Object result = xmlTrace.Deserialize(reader);

                return result;
            }
            catch (Exception ex)
            {
                Console.Out.WriteLine(ex.Message);
                ;
                {
                }
                return null;
            }
        }
    }
}