﻿#region

using System;
using LoadReview.Persistencia.Dao;
using LoadReviewLibrary.Persistencia.Pojo;

#endregion

namespace LoadReview.Persistencia.Pojo
{
    [Serializable]
    public class PalletPDA : Pallet
    {
        public PalletPDA(Bay bayid, int tripNumber) : base(bayid, tripNumber)
        {
        }


        public Boolean Update()
        {
            PalletDaoPDA dao = (PalletDaoPDA) DaoFactory.CreatePalletDao();
            return dao.Update(this);
        }

        public Boolean Insert()
        {
            PalletDaoPDA dao = (PalletDaoPDA) DaoFactory.CreatePalletDao();
            return dao.Insert(this);
        }
    }
}