﻿#region

using LoadReviewLibrary.Persistencia.Dao.Generics;

#endregion

namespace LoadReviewSync.persistencia.dao
{
    public class DaoFactory
    {
        public static IProductDao CreateProductDao(ConnectionSync connectionSync, ConnectionSync conError)
        {
            return new ProductDaoSync(connectionSync, conError);
        }

        public static ICompanyLocationDao CreateCompanyLocationDao()
        {
            return null;
        }

        public static ICompanyDao CreateCompanyDao()
        {
            return null;
        }

        public static ILocationDao CreateLocationDao()
        {
            return null;
        }

        public static ITypeConferenceDao CreateTypeConferenceDao()
        {
            return null;
        }

        public static IEmployeeDao CreateEmployeeDao()
        {
            return null;
        }

        public static IPalletDao CreatePalletDao()
        {
            return new PalletDaoSync();
        }

        public static IErrorTypeDao CreateErrorTypeDao(ConnectionSync connectionSync)
        {
            return new ErrorTypeDao(connectionSync);
        }

        public static IBayDao CreateBayDao(ConnectionSync connectionSync)
        {
            return new BayDaoSync(connectionSync);
        }

        public static IVehicleDao CreateVehicleDao(ConnectionSync connectionSync)
        {
            return new VehicleDaoSync(connectionSync);
        }


        public static SyncDao CreateSyncDao()
            {
            return new SyncDao();
            }
    }
}